# List matches

Section: Your data › PVP tracker › Matches

```
GET https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to=
```

Lists the season's matches, newest first.

**Parameters**

- `seasonId` (path): The season id.
- `from`: Only matches at or after this time (Unix ms).
- `to`: Only matches at or before this time (Unix ms).

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `seasonId` |  |

## Query parameters

| Name | Value |
| --- | --- |
| `from` |  |
| `to` |  |

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "kd7ese0420mbwjawtcqj54rycx8e9741",
      "createdAt": "2026-09-12T18:24:52.127Z",
      "date": 1789074000000,
      "matchType": "attack",
      "opponentName": "ペロロ推し",
      "opponentTeam": [
        {
          "studentId": "haruna_newyear",
          "damage": 566392
        },
        {
          "studentId": "tsubaki",
          "damage": 210430
        },
        {
          "studentId": "yuuka",
          "damage": 253863
        },
        {
          "studentId": "shiroko_terror",
          "damage": 2850464
        },
        {
          "studentId": "hibiki",
          "damage": 2455683
        },
        {
          "studentId": "reisa_magical",
          "damage": 22281
        }
      ],
      "opponentTeamKey": "d1b078eb884b747e",
      "ownTeam": [
        {
          "studentId": "shiroko_terror",
          "damage": 2498706
        },
        {
          "studentId": "yuuka",
          "damage": 53172
        },
        {
          "studentId": "mika",
          "damage": 480780
        },
        {
          "studentId": "eimi",
          "damage": 248681
        },
        {
          "studentId": "reisa_magical",
          "damage": 10664
        },
        {
          "studentId": "utaha",
          "damage": 641365
        }
      ],
      "ownTeamKey": "87c5db1146f598f0",
      "result": "win",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    },
    {
      "id": "kd7c9s359tzb40zpp1xxr5m23d8e96ye",
      "createdAt": "2026-09-12T18:25:20.987Z",
      "date": 1789074000000,
      "enemyPresetId": "md7bhbqc3pdtptx2w6xkj2kv3d8e2pcz",
      "matchType": "attack",
      "opponentName": "Hinanbu",
      "opponentStudentRepId": "misaka_mikoto",
      "opponentTeam": [
        {
          "studentId": "shun",
          "damage": 584686
        },
        {
          "studentId": "hoshino_battle_dealer",
          "damage": 139014
        },
        {
          "studentId": "marina",
          "damage": 58185
        },
        {
          "studentId": "shiroko_terror",
          "damage": 1631926
        },
        {
          "studentId": "hibiki",
          "damage": 2059301
        },
        {
          "studentId": "shiroko_swimsuit",
          "damage": 0
        }
      ],
      "opponentTeamKey": "68a885102ce96189",
      "ownTeam": [
        {
          "studentId": "shiroko_terror",
          "damage": 1513971
        },
        {
          "studentId": "yuuka",
          "damage": 110235
        },
        {
          "studentId": "mika",
          "damage": 334593
        },
        {
          "studentId": "eimi",
          "damage": 224859
        },
        {
          "studentId": "reisa_magical",
          "damage": 5599
        },
        {
          "studentId": "utaha",
          "damage": 327809
        }
      ],
      "ownTeamKey": "87c5db1146f598f0",
      "result": "win",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    }
  ]
}
```

## Examples

### cURL

```bash
curl 'https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to=' \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to=", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to="
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to=", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
